#ifndef SizeableExpander_First
#ifdef __GNUG__
//pragma once
#pragma interface
#endif
#define SizeableExpander_First

#include "Expander.h"

//---- SizeableExpander --------------------------------------------------

class SizeableExpander: public Expander {
public:
    MetaDef(SizeableExpander);

    SizeableExpander(int id, Direction d, Point g, VObject *vop, ...);
    void Control(int, int, void*);
    void SetExtent(Point e);
    void GetStretchability(int at, Point &min, Point &max);
};

//---- SplitArea ----------------------------------------------------------------

class SplitArea: public VObject {
    Direction dir;
public:
    SplitArea(int id, Direction d);
    Command *DoLeftButtonDownCommand(Point, Token, int);
    GrCursor GetCursor(Point);
    Metric GetMinSize();
    void Draw(Rectangle r);
};

#endif

